> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List file pages

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pages

Retrieves a workspace file as rasterized pages.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/workspaces/workspaceitems/listfilepages

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `fileId` (string, required) — Specifies the room file ID GUID.
- `folderId` (string, required) — The ID of the folder being accessed.
- `workspaceId` (string, required) — Specifies the workspace ID GUID.

### Query parameters

- `count` (string, optional) — The maximum number of results to be returned by this request.
- `dpi` (string, optional) — Number of dots per inch for the resulting image. The default if not used is 94. The range is 1-310.
- `max_height` (string, optional) — Sets the maximum height (in pixels) of the returned image.
- `max_width` (string, optional) — Sets the maximum width (in pixels) of the returned image.
- `start_position` (string, optional) — The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.

## Response

### 200

Successful response.

- `endPosition` (string, optional) — The last position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `pages` (list of page, optional)
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results returned in this response.
- `startPosition` (string, optional) — Starting position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the search's result set. It will always be greater than or equal to the value of the `resultSetSize` field.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### page

Description of a page of a document.

- `dpi` (string, optional) — The number of dots per inch used for the page image.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `height` (string, optional) — Height of the tab in pixels.
- `imageBytes` (string, optional)
- `mimeType` (string, optional)
- `pageId` (string, optional)
- `sequence` (string, optional)
- `width` (string, optional) — Width of the tab in pixels.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "endPosition": "string",
  "nextUri": "string",
  "pages": [
    {
      "dpi": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "height": "string",
      "imageBytes": "string",
      "mimeType": "string",
      "pageId": "string",
      "sequence": "string",
      "width": "string"
    }
  ],
  "previousUri": "string",
  "resultSetSize": "string",
  "startPosition": "string",
  "totalSetSize": "string"
}
```